package com.yx.face.dao;

import com.yx.face.model.entity.FaceDevice;
import com.yx.face.model.entity.FaceLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @description:
 * @ClassName AdminDataShowDao
 * @Author WXG
 * @Date 2021/11/12 13:46
 */
public interface AdminDataShowDao {
    List<FaceDevice> getDeviceNumber(Map<String,Object> map);

    List<Integer> getAdminList(Map<String,Object> map);

    List<FaceLog> getFaceLogByAdminIdAndBiggerNum(@Param("adminId") Integer adminId , @Param("biggerNum") Integer biggerNum);

    List<Long> getCountByTimeAndSn(@Param("stratTime")String stratTime,@Param("endTime")String endTime,@Param("sn")String sn,@Param("id")Long id);
}
